Method: networks.audienceSegments.batchCreate

Creates AudienceSegment objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/audienceSegments:batchCreate

Path parameters

Parameters
parent

string

Required. The parent resource where AudienceSegments will be created. Format: networks/{networkCode} The parent field in the CreateAudienceSegmentRequest must match this field.

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (CreateAudienceSegmentRequest)
    }
  ]
}
Fields
requests[]

object (CreateAudienceSegmentRequest)

Required. The AudienceSegment objects to create. A maximum of 100 objects can be created in a batch.

Response body

Response object for audienceSegments.batchCreate method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "audienceSegments": [
    {
      object (AudienceSegment)
    }
  ]
}
Fields
audienceSegments[]

object (AudienceSegment)

The AudienceSegment objects created.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

CreateAudienceSegmentRequest

Request object for audienceSegments.create method.

JSON representation
{
  "parent": string,
  "audienceSegment": {
    object (AudienceSegment)
  }
}
Fields
parent

string

Required. The parent resource where this AudienceSegment will be created. Format: networks/{networkCode}

audienceSegment

object (AudienceSegment)

Required. The AudienceSegment to create. Only first-party segments can be created.